/// <reference types="node" />
import { EventEmitter } from 'events';
export declare const enum AccessoryEvent {
    PUSH_STATE_UPDATE = "pushStateUpdate"
}
export declare interface AccessoryEventBus {
    on(event: AccessoryEvent.PUSH_STATE_UPDATE, listener: () => void): this;
    emit(event: AccessoryEvent.PUSH_STATE_UPDATE): boolean;
}
export declare class AccessoryEventBus extends EventEmitter {
    constructor();
}
//# sourceMappingURL=accessoryEventBus.d.ts.map