export declare const MyStromSwitchTypes: {
    WS2: string;
    '106': string;
    WSEU: string;
    '107': string;
    LCS: string;
    '120': string;
};
export interface MyStromDeviceHWInfo {
    version: string;
    mac: string;
    type: string | number;
    name?: string;
    charge?: boolean;
    ssid: string;
    ip: string;
    mask: string;
    gw: string;
    dns: string;
    static: boolean;
    connected: boolean;
    signal: boolean;
}
export interface MyStromSwitchReport {
    power: number;
    relay: boolean;
    temperature: number;
    Ws?: number;
}
export interface MyStromLightbulbReport {
    hue: number;
    saturation: number;
    value: number;
    on: boolean;
    color: string;
    mode: 'hsv' | 'rgb';
    power: number;
}
export interface MyStromPIRReport {
    motion: boolean;
    light?: number;
    temperature: number;
}
export interface MyStromButtonPlusReport {
    temperature: number;
    humidity: number;
    battery: {
        voltage: number;
        charging: boolean;
    };
    charger: {
        voltage: number;
        connected: boolean;
    };
}
export declare enum MyStromButtonPlusBattery {
    BATTERY_MAX = 4.5,
    BATTERY_MIN = 3
}
//# sourceMappingURL=myStromTypes.d.ts.map