import type { PlatformAccessory } from 'homebridge';
import { DingzDaHomebridgePlatform } from './platform';
import { MyStromButtonAccessory } from './myStromButtonAccessory';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class MyStromButtonPlusAccessory extends MyStromButtonAccessory {
    protected readonly _platform: DingzDaHomebridgePlatform;
    protected readonly _accessory: PlatformAccessory;
    private buttonActions;
    private buttonStates;
    private buttonPlusState;
    constructor(_platform: DingzDaHomebridgePlatform, _accessory: PlatformAccessory);
    private getTemperature;
    private getHumidity;
    protected buttonServiceSetup(initHandler?: boolean): void;
    private reconfigureButtonService;
    private getButtonStateById;
    protected getDeviceStateUpdate(): Promise<void>;
}
//# sourceMappingURL=myStromButtonPlusAccessory.d.ts.map